import path from "node:path";
import { PACKAGE_ROOT } from "../../util";

const SCHEMAS_ROOT = path.join(PACKAGE_ROOT, "schemas");

export const MODULE_SCHEMAS = {
  module: path.join(SCHEMAS_ROOT, "module", "module.yml"),
  command: path.join(SCHEMAS_ROOT, "module", "command.yml"),
  model: path.join(SCHEMAS_ROOT, "module", "model.yml"),
  feature: path.join(SCHEMAS_ROOT, "module", "feature.yml"),
  query: path.join(SCHEMAS_ROOT, "module", "query.yml"),
} as const;
